services:
  caddy:
    build:
      context: "services/"
      dockerfile: "caddy/Dockerfile"
    image: "docker-hosted.nexus.bthlabs.pl/hotpocket/caddy:2.9.1-local"
    command:
      - "caddy"
      - "run"
      - "--config"
      - "/etc/caddy/Caddyfile"
      - "--adapter"
      - "caddyfile"
    ports:
      - "8000:8000"
    volumes:
      - "./services/caddy/conf:/etc/caddy"
      - "./services/tls:/opt/tls"
      - "caddy_data:/data"
      - "caddy_srv:/srv"

volumes:
  caddy_data:
  caddy_srv:
